Uses CFG
Uses User
Uses Dir 

Const 	ProgName	=	'Murder Mansion'
Const	ProgVer		=	'v1.0'
Const	ProgAuth	=	'Darryl Perry, (c) 2003'
Const	MapFile		=	'mansion.map'
Const	ItemFile	=	'mansion.itm'

# Room Variables
var RoomName	String
Var RoomNorth	Integer
Var RoomSouth	Integer
Var RoomEast	Integer
Var RoomWest	Integer
Var RoomUp		Integer
Var RoomDown	Integer

# Player Variables
Var PlyrName	String
Var PlyrRoom	Integer
Var PlyrEnmy	String	
Var PlyrErm		Integer
Var PlyrMoves	Integer
Var PlyrDate	String

# Item Variables
Var ItemName	String
Var ItemNum		Integer
Var ItemLoc		Integer
Var ItemType	Integer
Var ItemOpp		Integer

Var WhoHere		String	
Var NumRooms	Integer
Var UserCnt		Integer
Var RoomCnt		Integer
Var ItemCnt		Integer
Var WeaCnt		Integer
Var NFlag		Boolean
Var OFlag		Boolean

# Attack and Fight variables
Var EDef	Integer
Var EDefStr	String
Var EOff	Integer
Var EOffStr	String	
Var PDef	Integer
Var PDefStr	String
Var POff	Integer
Var POffStr	String	

# General Variables
Var I1		Integer
Var I2		Integer
Var I3		Integer
Var Ch1		Char
Var Ch2		Char
Var Found1	Boolean
Var Found2	Boolean
Var Done1	Boolean
Var Done2	Boolean
Var Ttxt1	String
Var Ttxt2	String
Var FileDate	String
Var Today		String
Var NewsF	String
Var OldsF	String


# File Paths
Var F1		String
Var F2		String
Var F3		String
Var F4		String
Var F5		String
Var F9		String

GetCfg
GetThisUser
NFlag:=False
If ParamCount >= 1 Then
	NewsF:=ParamStr(1)
	NFlag:=True
Endif
OFlag:=False
If ParamCount >= 2 Then
	OldsF:=ParamStr(2)
	OFlag:=True
Endif
F1:=CfgDataPath+MapFile
F2:=CfgTextPath+NewsF+'.ans'
F9:=CfgTextPath+OldsF+'.ans'
F3:=CfgDataPath+ItemFile
F4:=CfgSysPath+'temp'+Int2Str(NodeNum)+PathChar+ItemFile
F5:=CfgSysPath+'temp'+Int2Str(NodeNum)+PathChar+ItemFile+'.tmp'

Function Del(St1 string, idx1 integer, len1 integer) : String
Begin
	If PathChar = '/' Then
		Delete(St1,idx1,len1)
	Else
		Delete(St1,Len1,Idx1)
	Endif
	Del:=St1
Pend

Procedure Paws
Begin
	Write('|CR|PA')
Pend

Procedure SaveNews ( ttxt string )
Begin
	If NFlag Then
		If fExist (f2) Then
			fOpen(7,Text,Append,F2)
		Else
			fOpen(7,Text,ReWrite,F2)
		Endif
		fWriteLn(7,ttxt)
		fclose(7)
	Endif
Pend

Procedure ParseItemStr ( Line String )
Var Front	String
Var Back	String
Var Idx		Integer
Var Cnt		Integer
Begin
	Front:=Line
	Back:=Line
	Cnt:=1
	Repeat
		Idx:=Pos(':',Front)
		If Idx > 0
			Front:=Del(Front,Length(Front)-Idx+1,Idx)
			Back:=Del(Back,Idx,1)
		Endif
		If	   Cnt = 1 Then
			ItemNum:=Str2Int(Front)
		Elseif Cnt = 2 Then
			ItemType:=Str2Int(Front)
		Elseif Cnt = 3 Then
			ItemOpp:=Str2Int(Front)
		Elseif Cnt = 4 Then
			ItemLoc:=Str2Int(Front)
		Elseif Cnt = 5 Then
			ItemName:=Front
		Endif
		Front:=Back
		Cnt:=Cnt+1
	Until Idx = 0 
Pend


Procedure ParseRoomStr ( Line String )
Var Front	String
Var Back	String
Var Idx		Integer
Var Cnt		Integer
Begin
	Front:=Line
	Back:=Line
	Cnt:=1
	Repeat
		Idx:=Pos(':',Front)
		If Idx > 0
			Front:=Del(Front,Length(Front)-Idx+1,Idx)
			Back:=Del(Back,Idx,1)
		Endif
		If	   Cnt = 1 Then
			RoomNorth:=Str2Int(Front)
		Elseif Cnt = 2 Then
			RoomSouth:=Str2Int(Front)
		Elseif Cnt = 3 Then
			RoomEast:=Str2Int(Front)
		Elseif Cnt = 4 Then
			RoomWest:=Str2Int(Front)
		Elseif Cnt = 5 Then
			RoomUp:=Str2Int(Front)
		Elseif Cnt = 6 Then
			RoomDown:=Str2Int(Front)
		Elseif Cnt = 7 Then
			RoomName:=Front
		Endif
		Front:=Back
		Cnt:=Cnt+1
	Until Idx = 0 
Pend

Function ReadItem ( ItemNo Integer ) : Integer
Var A1	Integer
Var A2	Integer
Begin
	If Not fExist(F4) Then
		WriteLn('|CRFatal Error: '+F4+' not found!')
		WriteLn('Please inform your sysop!')
		Paws
		Halt
	Else
		A2:=0
		fOpen(4,Text,Reset,F4)
		For A1:=1 to ItemNo 
			If Not Eof(4)
				fReadLn(4,Ttxt1)
				A2:=1
			Else
				A2:=0
			Endif
		Fend
		fClose(4)
		ParseItemStr(Ttxt1)
	Endif
	ReadItem:=A2
Pend

Procedure SaveItem ( ItemNo Integer ) 
Var A1	Integer
Begin
	If fExist(F5)	Then
		fErase (F5)
	Endif
	if not fexist(F4) Then
		exit
	else
		A1:=1
		fopen(4,text,reset,F4)
		fopen(5,text,ReWrite,F5)
		while not eof(4)
			fReadLn(4,Ttxt1)
			if A1 = ItemNo Then
				Ttxt1:=Int2Str(ItemNum) + ':' + Int2Str(ItemType) + ':' + Int2Str(ItemOpp) + ':' + Int2Str(ItemLoc) + ':' + ItemName
			Endif
			fWriteLn(5,Ttxt1)
			A1:=A1+1
		Wend
		fClose(4)
		fClose(5)
	Endif
	If fExist(F4)	Then	fErase(F4)	Endif
	If fCopy(F5,F4)	Then	fErase(F5)	Endif
Pend

Function ReadRoom ( RoomNo Integer ) : Integer
Var A1	Integer
Var A2	Integer
Begin
	If Not fExist(F1) Then
		WriteLn('|CRFatal Error: '+F1+' not found!')
		WriteLn('Please inform your sysop!')
		Paws
		Halt
	Else
		A2:=0
		fOpen(1,Text,Reset,F1)
		For A1:=1 to RoomNo
			If Not Eof(1)
				fReadLn(1,Ttxt1)
				A2:=1
			Else
				A2:=0
			Endif
		Fend
		fClose(1)
		ParseRoomStr(Ttxt1)
	Endif
	ReadRoom:=A2
Pend

Procedure ListInv
Begin
	Found2:=False
	WriteLn('|14You are carrying')
	I1:=1
	While ReadItem(I1) = 1
		If ItemLoc = 0 Then
			WriteLn('   |06(|14'+Int2Str(ItemNum)+'|06)|11 '+ItemName)
			Found2:=True
		Endif
		I1:=I1+1
	Wend
	If Not Found2 Then
		WriteLn('   |12Nothing!')
	Endif
Pend

Procedure InitNews
Begin
	If NFlag then
		FileDate:='00/00/00'
		FindFirst(F2,Anyfile)
		If doserror = 0 Then
			FileDate:=DateStr(DirTime,1)	
			FindClose
		Endif

		If FileDate <> Today and NFlag then
			If fExist(F9) Then
				fErase(F9)	
			Endif
			If fExist(F2) and OFlag Then
				If fCopy(F2,F9) Then
					fErase(F2)
				Endif
			Endif
		Endif
		If not fExist(F2) and NFlag Then
			SaveNews('|CL  |13-=-=-=- |06Murder Mansion Minstral |13-=-=-=- ')
			SaveNews('  |08All The News That''s Print To Fit, For ' + today)
			SaveNews('')
		Endif	
	Endif
Pend

Procedure InitGame
Begin
	Dispfile('mansion')
	paws
	Today:=DateStr(DateTime,1)
	If fCopy(F3,F4) Then	
		I1:=1	
	else
		WriteLn('Unable to copy file')
		Writeln(F3 + ' to ' + F4 + '|CR|PA')
	Endif
	# Count how many BBS users we have to choose from to stalk
	UserCnt:=1
	WriteLn('|CRLoading Players...')
	While GetUser(UserCnt)
		UserCnt:=UserCnt+1
	Wend
	UserCnt:=UserCnt-1

	WriteLn('|CRLoading Rooms...')
	# Count how many rooms we have
	RoomCnt:=1
	While ReadRoom(RoomCnt) = 1
		RoomCnt:=RoomCnt+1
	Wend
	RoomCnt:=RoomCnt-1

	ItemCnt:=1
	WeaCnt:=0
	While ReadItem(ItemCnt) = 1
		ItemCnt:=ItemCnt+1
		If ItemType > WeaCnt Then
			WeaCnt:=ItemType
		Endif
	Wend
	ItemCnt:=ItemCnt-1

	WeaCnt:=WeaCnt/2
	InitNews
Pend

Function FindEnemy : String
Begin
	done2:=false
	WriteLn('|CL|CR|11Select your enemy, or chose one at random?')
	Write  ('|11Select |12(|14C|12)|11hoose, |12(|14R|12)|11andom : ')
	If OneKey('CR') = 'C' Then
		While not done2
			Write('|CRName of user to stalk (?=List): ')
			Ttxt1:=Input(30,30,12,'')
			I1:=1
			if Ttxt1='?' Then
				MenuCmd('GU','search')
			Else
				While GetUser(I1) and not done2
					Ttxt2:=Upper(UserAlias)
					If Pos(Ttxt1,Ttxt2) > 0 Then
						If InputYN('|CRDo You Mean ' + UserAlias + '? ') Then
							FindEnemy:=StripMCI(UserAlias)	
							done2:=TRUE
						Endif
					Endif
					I1:=I1+1
				Wend	
			Endif
		Wend
	Else
		If GetUser(Random(UserCnt)) then
			FindEnemy:=StripMci(UserAlias)
		Endif
	Endif
Pend

Procedure MakeWhoHere
Begin
	If PlyrErm = PlyrRoom Then
		WhoHere:=PlyrEnmy
	Else
		If Random(100) > 60 Then
			repeat
				If GetUser(Random(UserCnt)) Then Endif
			until UserAlias <> PlyrName and UserAlias <> PlyrEnmy
			WhoHere:=UserAlias
		Else
			WhoHere:='NOBODY'
		Endif
	Endif
Pend

Procedure InitPlyr
Begin
	GetThisUser
	PlyrName:=UserAlias
	PlyrMoves:=0
	PlyrRoom:=1
	PlyrEnmy:=FindEnemy
	PlyrErm:=Random(RoomCnt)
	PlyrDate:=DateStr(DateTime,1)
	Done2:=False
	I1:=1
	While ReadItem (I1) = 1
		ItemLoc:=Random(RoomCnt)
		SaveItem(I1)
		I1:=I1+1
	Wend	
	While not done2
		I3:=Random(ItemCnt)
		If ReadItem(I3) = 1 and ItemType <= WeaCnt Then  
			ItemLoc:=500
			SaveItem(I3)
			Done2:=True
		Endif
	Wend
	Done2:=False
	While not done2
		I3:=Random(ItemCnt)
		If ReadItem(I3) = 1 and ItemType > WeaCnt Then  
			ItemLoc:=500
			SaveItem(I3)
			Done2:=True
		Endif
	Wend
	MakeWhoHere
	Ttxt1:='Stalking '+PlyrEnmy + ' in ' + ProgName
	MenuCmd('NA',Ttxt1)

	WriteLn('|CL|CR|CR                         |14You have a ')
	WriteLn('')
    WriteLn('                         |DE|11Burning Desire to')
	WriteLn('')
    WriteLn('                         |DE|12Find and Kill....')
	WriteLn('')
	WriteLn('                         |DE.|DE.|DE.|14' + PlyrEnmy+'!')
	Paws
Pend

Procedure WhereAreWe
Begin
	Write('|CL|CR|06We Are |14')
	If ReadRoom(PlyrRoom) = 1 Then
		WriteLn(RoomName)
	Else
		WriteLn('<ERROR>')
	Endif
Pend

Procedure WeCanGoTo
Begin
	Write('|CR|06We Can Go ')
	If 	RoomNorth > 0 Then	Write('|06(|14N|06)|11orth ')	Endif
	If	RoomSouth > 0 Then	Write('|06(|14S|06)|11outh ')	Endif
	If	RoomEast  > 0 Then	Write('|06(|14E|06)|11ast ')	Endif
	If	RoomWest  > 0 Then	Write('|06(|14W|06)|11est ')	Endif
	If	RoomUp    > 0 Then	Write('|06(|14U|06)|11p ')		Endif
	If	RoomDown  > 0 Then	Write('|06(|14D|06)|11own ')	Endif
	WriteLn('')
Pend

Procedure GoDir( direct string )
Var A1	Integer
Begin
	A1:=PlyrRoom
	If     Direct = 'NORTH' and RoomNorth > 0 Then
		PlyrRoom:=RoomNorth
	ElseIf Direct = 'SOUTH' and RoomSouth > 0 Then
		PlyrRoom:=RoomSouth
	ElseIf Direct = 'EAST' and RoomEast> 0 Then
		PlyrRoom:=RoomEast
	ElseIf Direct = 'WEST' and RoomWest> 0 Then
		PlyrRoom:=RoomWest
	ElseIf Direct = 'UP' and RoomUp > 0 Then
		PlyrRoom:=RoomUp
	ElseIf Direct = 'DOWN' and RoomDown > 0 Then
		PlyrRoom:=RoomDown
	Else
		WriteLn('|CRYou Can''t Go That Way!')
		Paws
	Endif
	If A1 <> PlyrRoom Then
		PlyrMoves:=PlyrMoves+1
		MakeWhoHere
	Endif
Pend

Procedure ThingsISee
Begin
	Found1:=False
	Write('|CR|06Things That Are Here:')
	I1:=1
	While ReadItem(I1) = 1
		If ItemLoc = PlyrRoom then
			Write(' |06(|14'+Int2Str(ItemNum)+'|06) |11' + ItemName)
			Found1:=True
		Endif
		I1:=I1+1
	Wend
	If not Found1 Then
		Write(' |12NOTHING!')
	Endif
	WriteLn('')
Pend

Procedure DropItem
Begin
	ListInv
	Write('|CR|11Drop Which Item? ')
	I1:=Str2Int(Input(4,4,11,''))
	If I1 < 1 Then Exit Endif
	If ReadItem(I1) = 1 Then
		If ItemLoc = 0 Then
			ItemLoc:=PlyrRoom
			SaveItem(I1)
		Else
			WriteLn('|CRYou Don''t Seem To Be Carrying That!')
			Paws
		Endif
	Endif
Pend

Procedure TakeItem
Begin
	I1:=1
	I3:=0
	While ReadItem(I1) = 1
		If ItemLoc = 0 Then
			I3:=I3+1
		Endif
		I1:=I1+1
	Wend
	If I3 > 4 Then
		WriteLn('|CRYour Hands Are Full')
		WriteLn('|CRYou Need To Drop Someting First!')
		Paws
		Exit
	Endif
	Write('|CRTake which Item? ')
	I1:=Str2Int(Input(4,4,1,''))
	If I1<1 Then	Exit 	Endif
	If ReadItem(I1) = 1 Then
		If ItemLoc = PlyrRoom Then
			ItemLoc:=0
			SaveItem(I1)
			WriteLn('|CRYou now have the '+ItemName)
			Paws
		Else
			WriteLn('|CRThat item is not here!|CR|PA')
		Endif	
	Endif
Pend

Procedure YourInfo
Begin
	WriteLn('|CL'+ProgName + ' ' + ProgVer + ' by ' + ProgAuth)
	WriteLn('|CR|CR|10Your Info')
	WriteLn('        |11You Have Used |14' + Int2Str(PlyrMoves) + '|11 Moves')
	WriteLn('        |11You have an urge to kill |14'+PlyrEnmy)
	ListInv	
	Paws
Pend

Procedure PeopleISee
Begin
	Write('|CR|06People I See Here : |14')
	WriteLn(WhoHere)
Pend

Procedure HearPlyr
Begin
	If WhoHere <> 'NOBODY' Then
		WriteLn('|CRYou ask ' + WhoHere + ' if ' + PlyrEnmy + ' has been seen.|10')
		If Random(100) > 50 Then
			If ReadRoom(PlyrErm) = 1 Then I1:=1 Endif
		WriteLn(WhoHere + '|02: |11Oh yes!  I saw |14' + PlyrEnmy + ' |11' + RoomName)
		ElseIf Random(100) > 50 Then
				Write(WhoHere + '|02: |11Sure did!')
				I2:=0
				For I1:=1 to ItemCnt
					If ReadItem(I1) = 1 Then
						If ItemLoc = 500 Then
							I2:=I1
						Endif	
					Endif
				Fend
				If I2 > 0 then
					If ReadItem(I2) = 1 Then
						Write('  He was carrying a |14' + ItemName + '|11 too!')
					else
						Write('  But I didn''t see what he was carrying.')
					Endif	
				Endif
			Else
				WriteLn(WhoHere + '|02: |11Nope!  Havn''t seen ''em.')
			Endif
		Endif
	Else
		WriteLn('|CR|12There is nobody here to ask!')
	endif
	Paws
Pend

Procedure Check4Enmy
Begin
	If PlyrErm=PlyrRoom Then
		Dispfile('foundem')
		goToXy(24,6) Write('|20|14'+PlyrEnmy+'|16')
		Ttxt2:=Input(1,1,10,'')
	Endif
Pend

Procedure Summary
Begin
	WriteLn('|CRYou were successful!')
	WriteLn('You stalked and killed ' + PlyrEnmy + ' in ' + Int2Str(PlyrMoves) + ' moves with a ' + POffStr)
	Paws
	halt
Pend

Procedure PopEnmyItem
Begin
	I1:=1
	While ReadItem(I1) = 1
		I1:=I1+1
		If ItemLoc = 500 
			If ItemType <= WeaCnt Then
				EOff:=ItemType
				EOffStr:=ItemName
			Else
				EDef:=ItemType
				EDefStr:=ItemName
			Endif
		Endif
	Wend
Pend

Procedure Attack
Begin
	PopEnmyItem
	WriteLn('|CR|CR|14' + PlyrEnmy + ' |11is wearing a |12' + EDefStr)
	WriteLn('|11and is wielding a |09' + EOffStr)
	Write('|11Do you want to |06(|14A|06)|11ttack or |06(|14R|06)un? |06(|14A|06/|14R|06)|11: ')
	If OneKey('AR') = 'A' Then
		WriteLn('|CR|14Chose your weapon')
		I1:=1
		Found2:=False
		While ReadItem(I1) = 1
			If ItemLoc = 0 and ItemType <= WeaCnt Then
				WriteLn('     |09(|14'+Int2Str(I1)+'|09) |11'+ItemName)
				Found2:=True
			Endif
			I1:=I1+1
		Wend
		If not Found2 then
			WriteLn('|CR|12You do not have |01ANY |12weapons!  You cannot attack!')
			WriteLn('|CR|14' + PlyrEnmy + ' |11attacks you with a |09' + EOffStr + '|11!')
			If PDef > 0 Then
				WriteLn('|CR|11You counter with a |14' + PDefStr + '|11!')
			Else
				WriteLn('|CR|12You have no defenses!')
			Endif
			If EOff + WeaCnt = PDef then
				WriteLn('|CR|11You successfully counter his attack!')
				WriteLn('|07Change weapons and try again!')
			Else
				WriteLn('|CR|14'+PlyrEnmy + ' |11has successfully killed you!')
				SaveNews('|14 ' + PlyrName + ' |11got himself killed by his Enemy, |10' + PlyrEnmy + '|11!')
				SaveNews('|11   And it took him |12' + Int2Str(PlyrMoves) + '|11 to do it!')
				SaveNews('                        |12-=-=-=-=-')
				Paws
				Halt
			Endif
		Else
			Write('|CRWeapon #: ')
			I2:=Str2Int(Input(4,4,11,''))
			If ReadItem(I2) = 1 Then
				If ItemType <= WeaCnt and ItemLoc = 0 Then
					POff:=ItemType
					POffStr:=ItemName
				Else
					WriteLn('|CR|11You don''t have that!  Chose something else!')
				Endif
			Endif
			If POff + WeaCnt = EOff Then
			WriteLn('|CR|14' + PlyrEnmy + ' |11is protected aginst your |14' + POffStr )
				WriteLn('|11by wearing a |19' + EDefStr + '|11!')
				WriteLn('|CR|12Your attack fails!')
				WriteLn('|CR|14' + PlyrEnmy + ' |11attacks you with a |14' + EOffStr + '|11!')
				WriteLn('|CR|11You counter with a |09' + PDefStr + '|11!')
				If EOff + WeaCnt = PDef then
					WriteLn('|CR|11You successfully counter his attack!')
					WriteLn('|11Change weapons and try again!')
				Else
					WriteLn('|CR|14'+PlyrEnmy + ' |11has succeeded in killing you!')
					SaveNews('|14 ' + PlyrName + ' |11got himself killed by his Enemy, |10' + PlyrEnmy + '|11!')
					SaveNews('|11   And it took him |12' + Int2Str(PlyrMoves) + '|11 to do it!')
					SaveNews('                        |12-=-=-=-=-')
					Paws
					Halt
				Endif
			Else
			WriteLn('|CR|14' + PlyrEnmy + '''s |09' + EDefStr + ' |11was no match for')
				WriteLn('your |12'+ POffStr + '|11!  You are victorius!')
				SaveNews('|14 '+PlyrName + ' |08Stalked and Killed his ArchEnemy, |12' + PlyrEnmy )
				SaveNews('|08 with a |14' + POffStr + '|08 in |09' + Int2Str(PlyrMoves) + '|08 moves.')
				SaveNews('                        |12-=-=-=-=-')
				Summary
			Endif
		Endif
	Else
		WriteLn('|CRHe who waits and runs away, lives to fight another day.')
	Endif
	Paws
Pend

Procedure PlayGame
Begin
	InitPlyr
	Done2:=False
	While Not Done2 
		Check4Enmy
		WhereAreWe
		PeopleISee
		ThingsISee
		WeCanGoTo
		WriteLn('-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=')
		If PlyrErm = PlyrRoom Then
			Write('|06(|14A|06)|11ttack ' + PadRt(WhoHere,13,' '))
		Else
			Write('|06(|14A|06)|11sk ' + PadRt(WhoHere,16,' '))
		Endif
		WriteLn('|06(|14Q|06)|11uit    |06(|14T|06)|11ake Item ')
		WriteLn('|06(|14Y|06)|11our Status         |06(|14M|06)|11ap     |06(|14L|06)|11eave Item')
		Write('|CR|12'+ProgName + ' |14[|06'+PadLt(Int2Str(PlyrMoves),3,'0')+'|14]|11-)> ')
		Ch2:=OneKey('AQTYLNSEWUDHM')
		If Ch2 = 'Q' Then
			WriteLn('|CRQuitting now will end this game.')
			If InputYN('Really Quit? ') Then
				SaveNews(' |14' + PlyrName + '|07 took the cowards'' way out and quit after only |09' + Int2Str(PlyrMoves) + '|07 moves.')
				SaveNews('                        |12-=-=-=-=-')
			Endif
			Done2:=True
		Elseif	Ch2 = 'N'	Then	GoDir('NORTH')
		Elseif	Ch2 = 'S'	Then	GoDir('SOUTH')
		Elseif	Ch2 = 'E'	Then	GoDir('EAST')
		Elseif	Ch2 = 'W'	Then	GoDir('WEST')
		Elseif	Ch2 = 'U'	Then	GoDir('UP')
		Elseif	Ch2 = 'D'	Then	GoDir('DOWN')
		Elseif	Ch2 = 'T'	Then	TakeItem	
		Elseif	Ch2 = 'L'	Then	DropItem	
		Elseif	Ch2 = 'Y'	Then	YourInfo	
		Elseif	Ch2 = 'A'	Then	
			If PlyrRoom = PlyrErm Then
				Attack
			Else
				HearPlyr	
			Endif
		ElseIf	Ch2 = 'M'	Then	
			menuCmd('GX','bulletin mansmaps mansmap')
		Endif
	Wend
Pend

Begin
	InitGame
	Done1:=False
	While Not Done1
		WriteLn('|CL')
		WriteLn('                            Welcome To')
		WriteLn('                          '+ProgName)
		WriteLn('                     A Mystic BBS 1.07.3 mpl')
		WriteLn('                    By '+ProgAuth)
		WriteLn('')
		WriteLn('                       There Are '+Int2Str(RoomCnt) + ' Rooms')
		WriteLn('')
		WriteLn('                         |09(|14E|09)|11nter Mansion')
		If NFlag Then
			WriteLn('                         |09(|14T|09)|11oday''s Minstral')
		Endif
		If OFlag Then
			WriteLn('                         |09(|14Y|09)|11esterday''s Minstral')
		Endif
		WriteLn('                         |09(|14I|09)|11nstructions ')	
		WriteLn('                         |09(|14Q|09)|11uit to BBS')	
		Write  ('|CR                         Your Command: -> ')
		Ch1:=OneKey('EIQTY')
		If Ch1 = 'Q' Then
			Done1:=True
		Elseif Ch1 = 'I' Then
			DispFile('mansion.hlp')
		Elseif Ch1 = 'Y' Then
			If OFlag Then
				DispFile(OldsF)
			Else
				WriteLn('|CRYesterdays'' News File Not Configured!')
			Endif
			Paws
		Elseif Ch1 = 'T' Then
			If NFlag Then
				DispFile(NewsF)
			Else
				WriteLn('|CRTodays'' News File not configured!')
			Endif
			Paws
		Elseif Ch1 = 'E' Then
			PlayGame
		Endif
	Wend
End

